submitPanelAgentSoulRecallMove(params: SubmitPanelAgentSoulRecallMoveParams)

Requires:
@tuya-miniapp/cloud-api≥1.x.x

Description

Initiate a Memory Recall (soul migration) task.

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<SoulTaskSubmitResult>
SubmitPanelAgentSoulRecallMoveResult (see type definitions and minituya return parameters for field meanings)

Referenced Types

interfaceSoulTaskSubmitResult
PropertyTypeDescription
taskIdstringTask ID

Examples

Request example

import { submitPanelAgentSoulRecallMove } from '@tuya-miniapp/cloud-api';

const params = {
  devId: 'your_device_id',
  roleBindList: [
    {
      oldEndpointAgentId: 'old_endpoint_agent_id',
      oldDeviceId: 'old_device_id',
      roleId: 'role_id',
    },
  ],
};

submitPanelAgentSoulRecallMove(params)
  .then(result => {
    console.log('Soul migration task:', result);
  })
  .catch(error => {
    console.error('Failed to initiate soul migration task:', error);
  });

Response example

{
  "taskId": "your_task_id"
}